Update Announcement
curl --request PATCH \
--url https://api.voxo.co/v2/admin/announcements/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"mediaFileId": 123,
"active": 0,
"startDate": "<string>",
"endDate": "<string>",
"ivrIds": [
123
],
"branchId": 123
}
'import requests
url = "https://api.voxo.co/v2/admin/announcements/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"mediaFileId": 123,
"active": 0,
"startDate": "<string>",
"endDate": "<string>",
"ivrIds": [123],
"branchId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
mediaFileId: 123,
active: 0,
startDate: '<string>',
endDate: '<string>',
ivrIds: [123],
branchId: 123
})
};
fetch('https://api.voxo.co/v2/admin/announcements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"description": "<string>",
"mediaFile": {
"id": 123,
"name": "<string>",
"tenantId": 123
},
"active": 123,
"startDate": "<string>",
"endDate": "<string>",
"ivrs": [
{
"id": 123,
"name": "<string>",
"tenantId": 123,
"order": 123
}
],
"branch": {
"id": 123,
"name": "<string>"
}
}Announcements
Update Announcement
Update an announcement (partial update)
PATCH
/
v2
/
admin
/
announcements
/
{id}
Update Announcement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Announcement ID
Pattern:
^[1-9]\d*$Body
application/json
Response
200 - application/json
Updated announcement
Announcement ID
Tenant ID
Announcement name
Announcement description
Attached media file
Show child attributes
Show child attributes
Active state (1 = active, 0 = inactive)
Start date (ISO 8601)
End date (ISO 8601)
IVRs this announcement is attached to
Show child attributes
Show child attributes
Owning branch
Show child attributes
Show child attributes
Was this page helpful?